Bug 74896 - gqview is placing dialog windows under the bottom panel
Summary: gqview is placing dialog windows under the bottom panel
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gqview (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 17:11 UTC by Philip Imants Long
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 04:21:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Imants Long 2002-10-02 17:11:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Metacity is placing dialog windows under the bottom panel

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open gqview (guess what I'm working with today?)
2. Have gqview extend near the bottom menu panel
3. Right click on a picture
4. Choose "copy"

	

Actual Results:  Metacity places the copy dialog so the bottom (the part with
the "ok" control) is under the gnome menu panel, and thus inaccesable.

Expected Results:  Places the window above the menu panel so all controls are
accesible without moving the thing.

Additional info:

Comment 1 Havoc Pennington 2002-10-02 19:00:39 UTC
This is a gqview bug, it hardcodes the position of that dialog. 
(uses GTK_WIN_POS_MOUSE to place it under the mouse)


Note You need to log in before you can comment on or make changes to this bug.